'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _style = require('styled-jsx/style');

var _style2 = _interopRequireDefault(_style);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _helperFunctions = require('./helperFunctions');

var _SVGDone = require('./SVGDone');

var _SVGDone2 = _interopRequireDefault(_SVGDone);

var _recompose = require('recompose');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Step = function Step(_ref) {
	var onClick = _ref.onClick,
	    children = _ref.children,
	    isDisabled = _ref.isDisabled,
	    isActive = _ref.isActive,
	    isComplete = _ref.isComplete,
	    renderIcon = _ref.renderIcon,
	    renderSubtitle = _ref.renderSubtitle,
	    renderTitle = _ref.renderTitle,
	    isLast = _ref.isLast;

	var mappedChildren = _react2.default.Children.map(children, function (child) {
		return _react2.default.cloneElement(child, {
			isActive: isActive,
			isComplete: isComplete
		});
	});
	//console.log(React.Children.toArray(mappedChildren))
	console.log(mappedChildren);

	return _react2.default.createElement(
		'div',
		{
			onClick: !isDisabled ? onClick : undefined,
			className: 'jsx-3286115555' + ' ' + ((0, _helperFunctions.flippyTailClass)('step__container', [isActive, 'active', 'inactive'], [isLast, 'last', 'notlast'], [isDisabled, 'disabled', 'enabled']) || '')
		},
		_react2.default.createElement(_style2.default, {
			styleId: '3286115555',
			css: '.step__title{margin:0.25rem;font:bold;font:85%;}.step__title--active{color:#4183c4;}.step__subtitle{font:70%;}.step__icon{margin:-0.25rem;}.step__container{position:relative;height:6rem;padding:1rem 2rem;display:-webkit-box;display:-webkit-flex;display:-ms-flexbox;display:flex;color:silver;align:center;cursor:pointer;}.step__container--inactive--last--disabled{border:0px 0px 0px 0;cursor:default;}.step__container--inactive--last--enabled{background:white;color:black;}.step__container--inactive--notlast--enabled{background:white;color:black;}.step__container--inactive--notlast--enabled::after{display:block;position:absolute;z:2;content:\'\';border:medium none;background:#fff;width:1rem;height:1rem;border:solid;border:rgba(34,36,38,0.15);border:0 1px 1px 0;-webkit:background-color .1s ease,opacity .1s ease,color .1s ease,box-shadow .1s ease;-webkit-transition:background-color .1s ease,opacity .1s ease,color .1s ease,box-shadow .1s ease;transition:background-color .1s ease,opacity .1s ease,color .1s ease,box-shadow .1s ease;-webkit:translateY(-50%) translateX(50%) rotate(-45 deg);-webkit-transform:translateY(-50%) translateX(50%) rotate(-45 deg);-ms-transform:translateY(-50%) translateX(50%) rotate(-45 deg);transform:translateY(-50%) translateX(50%) rotate(-45 deg);}.step__container--active--last--enabled{background:#ebe8e8;color:black;}.step__container--active--notlast--enabled{background:#ebe8e8;color:black;}.step__container--active--notlast--enabled::after{display:block;position:absolute;z:2;content:\'\';border:medium none;background:#ebe8e8;width:1rem;height:1rem;border:solid;border:rgba(34,36,38,0.15);-webkit:background-color .1s ease,opacity .1s ease,color .1s ease,box-shadow .1s ease;-webkit-transition:background-color .1s ease,opacity .1s ease,color .1s ease,box-shadow .1s ease;transition:background-color .1s ease,opacity .1s ease,color .1s ease,box-shadow .1s ease;-webkit:translateY(-50%) translateX(50%) rotate(-45 deg);-webkit-transform:translateY(-50%) translateX(50%) rotate(-45 deg);-ms-transform:translateY(-50%) translateX(50%) rotate(-45 deg);transform:translateY(-50%) translateX(50%) rotate(-45 deg);}'
		}),
		_react2.default.createElement(
			'div',
			{
				className: 'jsx-3286115555' + ' ' + 'step__icon'
			},
			isComplete ? _react2.default.createElement(_SVGDone2.default, { size: '36', fill: 'green' }) : renderIcon()
		),
		_react2.default.createElement(
			'div',
			{
				className: 'jsx-3286115555' + ' ' + 'step__info'
			},
			_react2.default.createElement(
				'div',
				{
					className: 'jsx-3286115555' + ' ' + ((0, _helperFunctions.flippyClass)(isActive, 'step__title', 'active', 'inactive') || '')
				},
				typeof renderTitle === 'function' ? renderTitle() : renderTitle
			),
			_react2.default.createElement(
				'div',
				{
					className: 'jsx-3286115555' + ' ' + 'step__subtitle'
				},
				typeof renderSubtitle === 'function' ? renderSubtitle() : renderSubtitle
			)
		)
	);
};

Step.propTypes = {
	isActive: _propTypes2.default.bool.isRequired,
	isComplete: _propTypes2.default.bool.isRequired,
	isLast: _propTypes2.default.bool.isRequired,
	renderIcon: _propTypes2.default.func.isRequired,
	renderTitle: _propTypes2.default.oneOfType([_propTypes2.default.string, _propTypes2.default.string]).isRequired,
	renderSubtitle: _propTypes2.default.oneOfType([_propTypes2.default.string, _propTypes2.default.string]).isRequired
};
var enhance = (0, _recompose.compose)();
//	setStatic(`Icon`, Icon),
//	setStatic(`Title`, Title),
//	setStatic(`Subtitle`, Subtitle)

exports.default = enhance(Step);